org.springframework.ldap.core.support

## Interface BaseLdapPathSource

- All Known Subinterfaces:
    BaseLdapPathContextSource
  All Known Implementing Classes:
    AbstractContextSource, DelegatingBaseLdapPathContextSourceSupport, DirContextSource, LdapContextSource, MutablePooledContextSource, MutablePoolingContextSource, PooledContextSource, PoolingContextSource, TransactionAwareContextSourceProxy

      public interface BaseLdapPathSource

  Implementations of this interface are capable of providing a base LDAP path. The base LDAP path is the root path to which all LDAP operations performed on a particular context are relative.
  Author:
    Mattias Hellborg Arthursson
  See Also:
    `ContextSource`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `LdapName` | `getBaseLdapName()` Get the base LDAP path as a `LdapName`.
    `DistinguishedName` | `getBaseLdapPath()` Deprecated. `DistinguishedName` and associated classes and methods are deprecated as of 2.0. Use `getBaseLdapName()` instead.
    `String` | `getBaseLdapPathAsString()` Get the base LDAP path as a String.

- - ### Method Detail

    - #### getBaseLdapPath

          DistinguishedName getBaseLdapPath()

      Deprecated. `DistinguishedName` and associated classes and methods are deprecated as of 2.0. Use `getBaseLdapName()` instead.
      Get the base LDAP path as a `DistinguishedName`.
      Returns:
        the base LDAP path as a `DistinguishedName`. The path will be empty if no base path is specified.

    - #### getBaseLdapName

          LdapName getBaseLdapName()

      Get the base LDAP path as a `LdapName`.
      Returns:
        the base LDAP path as a `LdapName`. The path will be empty if no base path is specified.
      Since:
        2.0

    - #### getBaseLdapPathAsString

          String getBaseLdapPathAsString()

      Get the base LDAP path as a String.
      Returns:
        the base LDAP path as a An empty String will be returned if no base path is specified.